:root {
  --olive: rgb(79, 95, 74);
  --card-background: rgba(100, 100, 100, 0.7);
  --back-color: #f6f3ee;
  --text: #2f2f2f;
  --dark: rgb(30, 30, 30);
  /* --trim: rgb(220, 212, 200); */
  --trim: rgb(255, 255, 255);
  --darktext: rgb(75, 65, 55);
  --borderoffset: 0.0rem;
}

* {
  margin: 0;
  padding: 0;
  position: relative;
  box-sizing: border-box;
  text-decoration: none;
}

html, body {
  height: 100%;
  overflow: hidden;
  font-size: 16px;
  letter-spacing: .1rem;
  font-family: "Playfair Display", serif;
}

@media (max-width: 800px) { /* Mobile settings */

  html, body {
    overflow: visible;
  }

}

body {
  /* font-family: "Inter", sans-serif; */
  background: var(--back-color);
  color: var(--text);
}

h1 {
  font-family: "Playfair Display", serif;
  font-size: clamp(2.5rem, 5vw, 4rem);
  letter-spacing: 1.25rem;
  text-align: center;
}

h2 {
  font-family: "Playfair Display", serif;
  font-size: 1.7rem;
  /* letter-spacing: .3em; */
  margin: 1rem 0;
  margin-bottom: 2rem;
}

h3 {
  font-family: "Playfair Display", serif;
  font-size: 1.6rem;
  /* letter-spacing: .3em; */
  margin: 1rem 0;
}

h4 {
  font-family: "Playfair Display", serif;
  font-size: 1.35rem;
  /* letter-spacing: .3em; */
  margin: 1rem 0;
}

.navbar {
    display: flex;
    min-width: 400px;
    max-height: 2rem;
    width: 60%;
    margin: 0px;
    position: absolute;
    /* background-color: rgba(0,0,0,0.06); */
    /* box-shadow: 0px 10px 30px rgba(0,0,0,0.06); */

    justify-content: center;  /* centers children horizontally */
    align-items: center;      /* centers children vertically */
    z-index: 999;
}

.bar-button {
    display: inline-block;
    flex: 1;
    padding: 0.25rem .5rem;
    text-align: center;
    align-items: center; 

    font-weight: 800;
    text-decoration: none;
    color: white;
    text-shadow: black 4px 0 18px;
    font-size: 0.95rem;
    letter-spacing: 0.15em;
    transition: all 0.3s ease;
}

.bar-button:hover {
  transform: scale(1.1);
  background: var(--text-color);
  color: #fff;
}

.flag-button {
    max-height: 1.2rem;
    filter: opacity(.9);
}

.topbar {
    top: 10%;
    /* background-color: red; */
}

.botbar {
    bottom: 4%;
    /* background-color: red; */
}

.navmenu {
    display: flex;
    flex-direction: column;
    height: auto;
    position: absolute;
    top: 10%;
    right: 6%;

    align-items: end;

    z-index: 800;
    transition: all 0.3s ease;
}

.menu-icon{
  height: 2rem;
  transition: all 0.4s ease;
}

.menu-icon:hover {
  transform: scale(1.1);
  background-color: rgba(0,0,0,0.1);
}

.menu-section {
  display: block;
  opacity: 0;
  transform: translateY(-10px);
  pointer-events: none;

  background-color: rgba(0,0,0,0.3);
  transition: opacity 0.4s ease, transform 0.4s ease;
}

.open {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.menu-section a {
  /* background-color: red; */
  display: block;
  text-align: right;
  font-weight: 500;
  text-decoration: none;
  color: white;
  text-shadow: black 4px 0 18px;
  font-size: 0.9rem;
  letter-spacing: 0.15em;
  padding: 15px 20px;
  transition: all 0.3s ease;
}

.menu-section a:hover {
  transform: scale(1.1);
}


/* SCROLL SNAP */

@media (min-width: 800px) { /* Desktop settings */

  .snap-container {
    /* background-color: red; */
    height: 100vh;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
    box-shadow: inset 0px 0px 85px rgba(0,0,0,0.1);
  }

  .snap {
    height: 100vh;
    scroll-snap-align: start;
    scroll-snap-stop: normal;
    display: flex;
    align-items: center; /* Align items inside sections */
    justify-content: center; /* Align items inside sections */
  }
}

@media (max-width: 800px) { /* Mobile settings */

  /* .snap-container {
    display: block;
    height: auto;
    overflow-y: visible;
    scroll-behavior: smooth;
    box-shadow: inset 0px 0px 85px rgba(0,0,0,0.1);
  } */

  .snap {
    display: flex;
    align-items: center; /* Align items inside sections */
    justify-content: center; /* Align items inside sections */
  }

}

/* FADE */
.fade {
  opacity: 0;
  transform: translateY(40px);
  transition: 1s ease;
}

.fade.visible {
  opacity: 1;
  transform: translateY(0);
}

/* HERO */
.hero {
  height: 100vh;
  background: url("hero.jpg") center/cover no-repeat;
  position: relative;
}

@media (max-width: 800px) { /* Mobile settings */

  .hero-mobile {
    background: url("hero1.jpg") center/cover no-repeat;
  }

}

.hero-title {
  display: flex;
}

@media (max-width: 800px) { /* Mobile settings */

  .hero-title {
    flex-direction: column;
  }

}

.hero-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.3);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;

  opacity: 0;
  animation: fadeIn 1s ease forwards;
  animation-delay: 0.1s;
}

.hero span {
  font-family: 'Courier New', Courier, monospace;
  font-style: italic;
  font-weight: 400;
}

.subtitle {
  margin-top: 1rem;
  letter-spacing: 3px;
  font-size: 1.4rem;
}

.divider {
    width: 1px;
    height: 35px;
    background-color: var(--text);
    margin: 3rem auto;
    opacity: 1;
}

.text-black-shadow {
  text-shadow: black 2px 0 18px;
}

.special-text {
  padding: 1rem 0rem;
  font-style: italic;
}

/* COUNTDOWN */

.countdown {
    display: flex;
    justify-content: center;
    gap: 1.2rem;
    margin-bottom: 2rem;
    font-family: "Playfair Display", serif;
    letter-spacing: 0.4rem;
    
    opacity: 0;
    animation: fadeIn 1s ease forwards;
    animation-delay: 0.3s;
}

.time-box {
    text-align: center;
    min-width: 60px;
}

.time {
    font-size: 1.4rem;
    font-weight: 500;
}

.label {
    font-size: 0.6rem;
    letter-spacing: 0.15em;
    color: var(--muted-color);
    margin-top: 0.25rem;
}

.fadein-delayed {
    opacity: 0;
    animation: fadeIn 1s ease forwards;
    animation-delay: 0.8s;
}

@keyframes fadeIn {
    from {
    opacity: 0;
    transform: translateY(65px) rotate(0deg);
    }
    to {
    opacity: 1;
    transform: translateY(0) rotate(0deg);
    }
}

/* DETAILS */
.detail-section {
  overflow: hidden;
  margin: 0;
  display: flex;
}

.section-box-size {
  display: flex;
  width: 75%;
  height: 75%;
  gap: 3rem;
}

@media (max-width: 800px) { /* Mobile settings */

    .section-box-size {
      /* background-color: black; */
      position: relative;
      display: flex;
      flex-direction: column;
      width: 100%;
      height: 90%;
      padding: 2rem 1rem;
      gap: 0.8rem;
    }

}

.children {
  position: relative; /* Needs to have position for children to be positioned absolutely */
  display: flex;
  height: 100%;
  flex: 1;
  overflow: hidden;
  font-family: 'Cormorant Garamond', serif;
  transition: all 0.5s ease; /* Smooth "float" effect */
}

.children:hover {
  border-width: 4px;
  transform: scale(1.02) translateY(-5px); /* Gentle lift */
}

.children-double {
  flex: 2;
}

.children-columns {
  columns: 2;
}

@media (max-width: 800px) { /* Mobile settings */

  .children-columns {
    columns: 1;
  }

}

.trim {
  border: 2px solid var(--trim); /* Very soft tan border */
}

.padding-div {
  height: 100%;
  width: 100%;
  position: relative;
  flex: 1;
  padding: 2%;
  padding-top: 4%;
  padding-bottom: 4%
}

/* CORNER FRAME */

.corner {
  position: absolute;
  width: 60px;
  height: 60px;
  z-index: 500;
  transform-origin: center;
}

.top-left {
  top: var(--borderoffset);
  left: var(--borderoffset);
  transform: rotate(90deg);
  /* transform-origin: bottom left; */
}

.top-right {
  top: var(--borderoffset);
  right: var(--borderoffset);
  transform: rotate(180deg);
  /* transform-origin: bottom left; */
}

.bottom-right {
  bottom: var(--borderoffset);
  right: var(--borderoffset);
  transform: rotate(-90deg);
  /* transform-origin: bottom right; */
}

.bottom-left {
  bottom: var(--borderoffset);
  left: var(--borderoffset);
  transform: rotate(0deg);
  /* transform-origin: bottom left; */
}

.divider-svg {
  box-sizing: border-box;
  height: 1.4rem;
  margin: 1rem 0;
}

.rotate180 {
  transform-origin: center;
  transform: rotate(180deg);
}

/* END OF CORNER FRAME */

@media (max-width: 800px) { /* Formatting below 800 pixels of width */

  .children {
    flex: 1;
  }

  .children-double {
    flex: 2;
  }

  .padding-div {
    flex: 1;
    padding: 2%;
    padding-left: 6%;
    padding-right: 6%;
  }

}

.outline-line {
  outline: 2px solid var(--trim);
  outline-offset: 14px;
}

.div-image {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.div-image-vertical-small {
  width: 80%;
  /* height: 300px; */
  min-width: 300px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 800px) { /* Mobile settings */

  .div-image-vertical-small {
    width: 60%;
  }


  .image-container {
    max-height: 240px;
  }
}

.shadow {
  box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
}

.text-box {
  color: var(--darktext);
  display: flex;
  text-align: center;
  justify-content: center; /* Centers horizontally */
  align-items: center;     /* Centers vertically */
  padding: 1.2rem;
}

.center-vh {
  display: flex;
  text-align: center;
  justify-content: center; /* Centers horizontally */
  align-items: center;     /* Centers vertically */
}

.column {
  flex-direction: column;
}

@media (max-width: 800px) { /* Mobile settings */

  .text-box {
    padding: 0.5rem;
  }
}

.no-padding {
  padding: 0;
}

.padding-p-spacing {
  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
}

.long-text-section p {
  padding-top: 0.2rem;
  padding-bottom: 0.2rem;
  text-align: justify;
}

@media (max-width: 800px) { /* Mobile settings */

  .long-text-section p {
    padding-top: 0.6rem;
    padding-bottom: 0.6rem;
    text-align: justify;
  }
}

.list-item {
  padding: 0 1rem;
  font-style: italic;
}

.center {
  text-align: center;
  justify-content: center; /* Centers horizontally */
  align-items: center;     /* Centers vertically */
  align-content: center;
}

.text-box * {
  color: var(--darktext);
}

.timeline {
  color: var(--darktext);
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center; /* Centers horizontally */
  align-items: center;     /* Centers vertically */
}

@media (min-width: 800px) {

  .horizontal-max-width-M {
    max-width: 280px;
    /* background-color: red; */
  }
}

@media (min-width: 800px) {

  .horizontal-max-width-L {
    max-width: 450px;
    /* background-color: red; */
  }
}

.extra-padding {
  padding: 8rem;
}

.translucent-background {
  /* background-color: var(--card-background); */
  /* outline-color: white; */
  color: var(--darktext);
}

.no-background {
  background: transparent;
  /* outline-color: white; */
  color: black;
}

.image01 {
  background-image: url("your-image-path.jpg");
}

/* DRESS CODE */


.dresscode-grid {
  display: flex;
  justify-items: center;
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
  /* flex-grow: unset; */
  justify-items: center;
  gap: 0.3rem;
  margin: 0 auto;
  justify-content: center; /* Centers horizontally */
  align-items: center;     /* Centers vertically */
}


.dresscode-grid > * {
  /* width: 100%; */
  height: 2rem;
  width: 2rem;
  outline: solid 1px var(--text);
}

@media (max-width: 800px) { /* Mobile settings */

  .dresscode-grid > * {
      height: 1.5rem;
      width: 1.5rem;
    }
}

.dresscode1 {
  background-color: rgb(255,248,194)
}

.dresscode2 {
  background-color: rgb(255,231,158)
}

.dresscode3 {
  background-color: rgb(253,222,190)
}

.dresscode4 {
  background-color: rgb(214,245,255)
}

.dresscode5 {
  background-color: rgb(194,225,255)
}

.dresscode6 {
  background-color: rgb(145,187,242)
}

.dresscode7 {
  background-color: rgb(255,224,224)
}

.dresscode8 {
  background-color: rgb(254,223,239)
}

.dresscode9 {
  background-color: rgb(253,225,253)
}

/* MEN */

.dresscode10 {
  background-color: rgb(118, 111, 111);
}

.dresscode11 {
  background-color: rgb(92, 104, 143);
}

.dresscode12 {
  background-color: rgb(68, 78, 100);
}

.outline-white {
  outline: solid 1px black;
}

/* FORM */

.rsvp-form {
  display: flex;
  flex-direction: column;
}

.rsvp-form >* {
  /* width: 100%; */
  margin: 0.1rem 0.7rem;
}

.form-legend {
  text-align: left;
  font-size: 0.8rem;
  font-weight: bold;
}

.form-option {
  text-align: left;
  font-size: 0.8rem;
}

.form-checkbox-line {
  display: flex;
}

.form-checkbox-line input {
  margin-left: auto; /* pushes it to the far right */
}

.form-checkbox-line2 {
  display: flex;
}

.form-checkbox-line2 input {
  margin-left: auto; /* pushes it to the far right */
}

.main-button {
    display: inline-block;
    /* flex: 1; */
    padding: 0.25rem .5rem;
    text-align: center;
    font-weight: 800;
    text-decoration: none;
    color: white;
    background-color: var(--darktext);
    text-shadow: black 4px 0 18px;
    font-size: 0.95rem;
    letter-spacing: 0.15em;
    transition: all 0.3s ease;
}

.main-button:hover {
  transform: scale(1.1);
  /* background: var(--text-color); */
  color: #fff;
}

.move-left {
  transform: translate(-50px, 0px);
}

.move-right {
  transform: translate(50px, 0px);
}

@media (max-width: 800px) { /* Mobile settings */

  .move-left {
    transform: translate(0px, 0px);
  }

  .move-right {
    transform: translate(0px, 0px);
  }
  
}

@media (max-width: 800px) { /* Mobile settings */

.image-mobile-height {
  max-height: 380px;
}
  
}

.quote {
  font-style: italic;
  font-size: 1.2rem;
}

.dark-section {
  background-color: var(--text);
}

.justified p {
  text-align: justify;
}

.max-width-text-block {
  max-width: 1150px;
}

.spacer-above {
  padding-top: .7rem;
}

.spacer-below {
  padding-bottom: .7rem;
}

.font-120rem {
  font-size: 1.2rem;
}

.font-lowlight {
  font-size: .9rem;
  /* color: #7a7a7a; */
  color: rgb(130, 115, 100);
}

/* FOOTER */
.footer {
  display: flex;
  /* flex-direction: column; */
  background: var(--text);
  color: white;
  font-family: "Playfair Display", serif;
}

@media (max-width: 800px) { /* Mobile settings */
  .footer {
    display: flex;
    height: 100vh;
  }

  .footer p {
    max-width: 60%;
  }
}

/* INVISIBLE ELEMENTS ON MOBILE */
@media (max-width: 800px) { /* Mobile settings */
  .mobile-invisible {
    display: none;
  }
}

/* INVISIBLE ELEMENTS ON DESKTOP */
@media (min-width: 800px) { /* Desktop settings */
  .desktop-invisible {
    display: none;
  }
}